Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006193OCamlOCaml typingpublic2013-09-26 13:572013-10-01 13:41
ReporterBoris Yakobowski 
Assigned Tofrisch 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.02.0+dev 
Summary0006193: Incorrect warning 12 for character ranges
Description~$ ledit ocaml -w +a
        OCaml version 4.02.0+dev2-2013-09-12

# let escape_char = function
    | '\r' -> "\\r"
    | '"' -> "\\\""
    | '\'' -> "\\'"
    | ' ' .. '~' as printable -> String.make 1 printable
    | unprintable -> Printf.sprintf "\\%03o" (Char.code unprintable);;
Warning 12: this sub-pattern is unused.
Warning 12: this sub-pattern is unused.

(The warning refers to the "printable" line)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0010411)
frisch (developer)
2013-10-01 13:40

Thanks, fixed by commit 14205.

- Issue History
Date Modified Username Field Change
2013-09-26 13:57 Boris Yakobowski New Issue
2013-10-01 13:40 frisch Note Added: 0010411
2013-10-01 13:41 frisch Assigned To => frisch
2013-10-01 13:41 frisch Status new => assigned
2013-10-01 13:41 frisch Status assigned => resolved
2013-10-01 13:41 frisch Fixed in Version => 4.02.0+dev
2013-10-01 13:41 frisch Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker